Package org.picocontainer.parameters

# Class DefaultConstructorParameter

java.lang.Object
org.picocontainer.parameters.AbstractParameter
org.picocontainer.parameters.DefaultConstructorParameter

All Implemented Interfaces:
  `Serializable`, `Parameter`

public final class DefaultConstructorParameter extends AbstractParameter implements Parameter, Serializable
Part of the replacement construct for Parameter.ZERO

Since:
  PicoContainer 2.8
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.picocontainer.Parameter

`Parameter.DelegateResolver, Parameter.NotResolved, Parameter.Resolver, Parameter.ValueResolver`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DefaultConstructorParameter`
`INSTANCE`
The one and only instance

### Fields inherited from interface org.picocontainer.Parameter

`DEFAULT, ZERO`

## Constructor Summary

Constructors
Constructor
Description
`DefaultConstructorParameter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(PicoVisitor visitor)`
No instantiation
`boolean`
`equals(Object other)`
Returns true if the object object is a DEFAULT_CONSTRUCTOR object.
`Parameter.Resolver`
`resolve(PicoContainer container, ComponentAdapter<?> forAdapter, ComponentAdapter<?> injecteeAdapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)`
Check if the Parameter can satisfy the expected type using the container.
`String`
`toString()`
`void`
`verify(PicoContainer container, ComponentAdapter<?> adapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)`
Verify that the Parameter can satisfy the expected type using the container

### Methods inherited from class org.picocontainer.parameters.AbstractParameter

`isResolvable, resolveInstance`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.picocontainer.Parameter

`isResolvable, resolveInstance`

## Field Details

### INSTANCE

public static final DefaultConstructorParameter INSTANCE
The one and only instance

## Constructor Details

### DefaultConstructorParameter

public DefaultConstructorParameter()

## Method Details

### accept

public void accept(PicoVisitor visitor)
No instantiation

Specified by:
  `accept` in interface `Parameter`
Parameters:
  `visitor` - the visitor.

### resolve

public Parameter.Resolver resolve(PicoContainer container, ComponentAdapter<?> forAdapter, ComponentAdapter<?> injecteeAdapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)
Description copied from interface: `Parameter`
Check if the Parameter can satisfy the expected type using the container.

Specified by:
  `resolve` in interface `Parameter`
Parameters:
  `container` - the container from which dependencies are resolved.
  `forAdapter` - the `ComponentAdapter` that is asking for the instance
  `injecteeAdapter` - the adapter to be injected into (null for N/A)
  `expectedType` - the required type
  `expectedNameBinding` - Expected parameter name
  `useNames` - should use parameter names for disambiguation
  `binding` - @return `true` if the component parameter can be resolved.

### verify

public void verify(PicoContainer container, ComponentAdapter<?> adapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)
Description copied from interface: `Parameter`
Verify that the Parameter can satisfy the expected type using the container

Specified by:
  `verify` in interface `Parameter`
Parameters:
  `container` - the container from which dependencies are resolved.
  `adapter` - the `ComponentAdapter` that is asking for the verification
  `expectedType` - the required type
  `expectedNameBinding` - Expected parameter name
  `useNames` -
  `binding` -

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object other)
Returns true if the object object is a DEFAULT_CONSTRUCTOR object.

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`